# Method Web.decode_jwk()

Method decode_jwk

  ```Crypto.Sign.State``|`Crypto.MAC.State` decode_jwk(`mapping`(`string(7bit)`:`string(7bit)`) `jwk`)`

Description

  Decode a JSON Web Key (JWK).

Returns

  Returns an initialized `Crypto.Sign.State` or Crypto.MAC.State on success and UNDEFINED on failure.

Method decode_jwk

  ``variant` ``Crypto.Sign.State``|`Crypto.MAC.State` decode_jwk(`string(8bit)` `jwk`)`

Description

  Decode a JSON Web Key (JWK).

Returns

  Returns an initialized `Crypto.Sign.State` or Crypto.MAC.State on success and UNDEFINED on failure.